# Type alias SyncProgress

SyncProgress: {
done?: boolean;
error?: string;
message?: string;
progress?: number;
status?: "idle" | "in-progress" | "error";
}

#### Type declaration

- ##### `Optional` done?: boolean

- ##### `Optional` error?: string

- ##### `Optional` message?: string

- ##### `Optional` progress?: number

- ##### `Optional` status?: "idle" | "in-progress" | "error"

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/types/services.ts:5